package com.ruoyi.project.plant.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.framework.aspectj.lang.annotation.Excel;
import com.ruoyi.framework.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;

/**
 * 人员管理对象 t_staffmgr
 *
 * @author ruoyi
 * @date 2020-11-25
 */
public class TStaffmgr extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 唯一标识ID */
    private Long id;

    /** 装置名称 */
    @Excel(name = "装置名称", dictType = "PLANT_DIVIDE")
    private String plantCode;

    /** 员工编号 */
    @Excel(name = "员工编号")
    private String staffid;

    /** 用户编号 */
    private String userId;

    /** 员工姓名 */
    @Excel(name = "员工姓名")
    private String name;

    /** 性别 */
    @Excel(name = "性别", dictType = "sys_user_sex")
    private String sex;

    /** 出生日期 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "出生日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date birthday;

    /** 部门 */
    @Excel(name = "部门", dictType = "STAFF_UNIT")
    private String unit;
    private String units;
    /** 班值 */
    @Excel(name = "班值", dictType = "TEAM_DIVIDE")
    private String team;
    private String teams;
    /** 实际岗位 */
    @Excel(name = "实际岗位", dictType = "ACTUALPOST")
    private String actualpost;
    private String actualposts;
    /** 联系方式 */
    @Excel(name = "联系方式")
    private String contact;

    /** 学历 */
    @Excel(name = "学历", dictType = "EDUCATION")
    private String education;

    /** 学历 */
    private String educations;

    /** 英语能力 */
    @Excel(name = "英语能力", dictType = "ENGLISHABILITY")
    private String enAbility;
    private String enAbilitys;
    /** 隐患查找数量 */
    @Excel(name = "隐患查找数量")
    private Long accidentNum;

    /** 邮箱 */
    @Excel(name = "邮箱")
    private String mail;

    /** 技能评估得分 */
    @Excel(name = "技能评估得分")
    private String skillScore;

    /** 状态 */
    private Long delFlag;

    /** 创建人 */
    private String createrCode;

    /** 创建时间 */
    private Date createdate;

    /** 修改人 */
    private String updaterCode;

    /** 修改时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss" , timezone = "GMT+8")
    private Date updatedate;

    /** 部门编号 */
    private Long deptId;

    /** 部门名称 */
    @Excel(name = "部门名称")
    private String deptName;

    /** 备注 */
    @Excel(name = "备注")
    private String remarks;

    /** 岗位人员技能培训数据 */
    private String skillevaluation;

    /** 是否有邮箱 */
    private Long haveEmail;

    /** 培训时长 */
    private String trainingTime;

    /** 证件照地址 */
    private String photo;

    /** 父级领导ID */
    private Long pId;

    /** 特殊职能 */
    private String specialDuty;

    /** 离职日期 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    private Date leftDate;

    private String leftYear;
    /** 是否退休 */
    private Integer isRetire;

    /** 区域 */
    private String region;


    /** 裂解 */
    private String boiler;

    /** 压缩 */
    private String cracking;

    /** 分离 */
    private String hotarea;

    /** PGU */
    private String coldarea;

    private boolean isChecker;

    public boolean isChecker() {
        return isChecker;
    }

    public void setChecker(boolean checker) {
        isChecker = checker;
    }

    public String getBoiler() {
        return boiler;
    }

    public void setBoiler(String boiler) {
        this.boiler = boiler;
    }

    public String getCracking() {
        return cracking;
    }

    public void setCracking(String cracking) {
        this.cracking = cracking;
    }

    public String getHotarea() {
        return hotarea;
    }

    public void setHotarea(String hotarea) {
        this.hotarea = hotarea;
    }

    public String getColdarea() {
        return coldarea;
    }

    public void setColdarea(String coldarea) {
        this.coldarea = coldarea;
    }


    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public String getRegion() {
        return region;
    }

    public void setRegion(String region) {
        this.region = region;
    }

    public Date getLeftDate() {
        return leftDate;
    }

    public void setLeftDate(Date leftDate) {
        this.leftDate = leftDate;
    }

    public String getEducations() {
        return educations;
    }

    public void setEducations(String educations) {
        this.educations = educations;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setPlantCode(String plantCode)
    {
        this.plantCode = plantCode;
    }

    public String getPlantCode()
    {
        return plantCode;
    }
    public void setStaffid(String staffid)
    {
        this.staffid = staffid;
    }

    public String getStaffid()
    {
        return staffid;
    }
    public void setName(String name)
    {
        this.name = name;
    }

    public String getEducation() { return education; }
    public void setEducation(String education) { this.education = education; }

    public String getEnAbility() { return enAbility; }
    public void setEnAbility(String enAbility) { this.enAbility = enAbility; }

    public Long getAccidentNum() { return accidentNum; }
    public void setAccidentNum(Long accidentNum) { this.accidentNum = accidentNum; }

    public String getName()
    {
        return name;
    }
    public void setSex(String sex)
    {
        this.sex = sex;
    }

    public String getSex()
    {
        return sex;
    }
    public void setBirthday(Date birthday)
    {
        this.birthday = birthday;
    }

    public Date getBirthday()
    {
        return birthday;
    }
    public void setUnit(String unit)
    {
        this.unit = unit;
    }

    public String getUnit()
    {
        return unit;
    }
    public void setTeam(String team)
    {
        this.team = team;
    }

    public String getTeam()
    {
        return team;
    }
    public void setActualpost(String actualpost)
    {
        this.actualpost = actualpost;
    }

    public String getActualpost()
    {
        return actualpost;
    }
    public void setContact(String contact)
    {
        this.contact = contact;
    }

    public String getContact()
    {
        return contact;
    }
    public void setDelFlag(Long delFlag)
    {
        this.delFlag = delFlag;
    }

    public Long getDelFlag()
    {
        return delFlag;
    }
    public void setCreaterCode(String createrCode)
    {
        this.createrCode = createrCode;
    }

    public String getCreaterCode()
    {
        return createrCode;
    }
    public void setCreatedate(Date createdate)
    {
        this.createdate = createdate;
    }

    public Date getCreatedate()
    {
        return createdate;
    }
    public void setUpdaterCode(String updaterCode)
    {
        this.updaterCode = updaterCode;
    }

    public String getUpdaterCode()
    {
        return updaterCode;
    }
    public void setUpdatedate(Date updatedate)
    {
        this.updatedate = updatedate;
    }

    public Date getUpdatedate()
    {
        return updatedate;
    }
    public void setDeptId(Long deptId)
    {
        this.deptId = deptId;
    }

    public Long getDeptId()
    {
        return deptId;
    }
    public void setRemarks(String remarks)
    {
        this.remarks = remarks;
    }

    public String getRemarks()
    {
        return remarks;
    }
    public void setDeptName(String deptName)
    {
        this.deptName = deptName;
    }

    public String getDeptName()
    {
        return deptName;
    }
    public void setMail(String mail) { this.mail = mail; }

    public String getMail() { return mail; }
    public void setSkillScore(String skillScore) { this.skillScore = skillScore; }

    public String getSkillScore() { return skillScore; }
    public void setHaveEmail(Long haveEmail) { this.haveEmail = haveEmail; }

    public Long getHaveEmail() { return haveEmail; }

    public String getUnits() {
        return units;
    }

    public void setUnits(String units) {
        this.units = units;
    }

    public String getTeams() {
        return teams;
    }

    public void setTeams(String teams) {
        this.teams = teams;
    }

    public String getActualposts() {
        return actualposts;
    }

    public void setActualposts(String actualposts) {
        this.actualposts = actualposts;
    }

    public String getEnAbilitys() {
        return enAbilitys;
    }

    public void setEnAbilitys(String enAbilitys) {
        this.enAbilitys = enAbilitys;
    }
    public String getSkillevaluation() {
        return skillevaluation;
    }

    public void setSkillevaluation(String skillevaluation) {
        this.skillevaluation = skillevaluation;
    }
    public String getTrainingTime() { return trainingTime; }

    public void setTrainingTime(String trainingTime) { this.trainingTime = trainingTime; }
    public String getPhoto() { return photo; }

    public void setPhoto(String photo) { this.photo = photo; }
    public void setpId(Long pId) { this.pId = pId; }

    public Long getpId() { return pId; }
    public void setSpecialDuty(String specialDuty) { this.specialDuty = specialDuty; }

    public String getSpecialDuty() { return specialDuty; }

    public String getLeftYear() {
        return leftYear;
    }

    public void setLeftYear(String leftYear) {
        this.leftYear = leftYear;
    }

    public Integer getIsRetire() {
        return isRetire;
    }

    public void setIsRetire(Integer isRetire) {
        this.isRetire = isRetire;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("plantCode", getPlantCode())
                .append("staffid", getStaffid())
                .append("name", getName())
                .append("sex", getSex())
                .append("birthday", getBirthday())
                .append("unit", getUnit())
                .append("units", getUnits())
                .append("team", getTeam())
                .append("actualpost", getActualpost())
                .append("actualposts", getActualposts())
                .append("contact", getContact())
                .append("education", getEducation())
                .append("enAbility", getEnAbility())
                .append("mail", getMail())
                .append("skillScore", getSkillScore())
                .append("accidentNum", getAccidentNum())
                .append("delFlag", getDelFlag())
                .append("createrCode", getCreaterCode())
                .append("createdate", getCreatedate())
                .append("updaterCode", getUpdaterCode())
                .append("updatedate", getUpdatedate())
                .append("deptId", getDeptId())
                .append("remarks", getRemarks())
                .append("deptName", getDeptName())
                .append("haveEmail", getHaveEmail())
                .append("trainingTime", getTrainingTime())
                .append("photo", getPhoto())
                .toString();
    }
}
